]> git.pld-linux.org Git - packages/vsftpd.git/commitdiff
- init.d script for vsftpd
authorAdam Gołębiowski <adamg@pld-linux.org>
Thu, 12 Jan 2006 14:59:58 +0000 (14:59 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    vsftpd.init -> 1.1

vsftpd.init [new file with mode: 0644]

diff --git a/vsftpd.init b/vsftpd.init
new file mode 100644 (file)
index 0000000..eeb63fe
--- /dev/null
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# vsftpd       vsftp server
+#
+# chkconfig:   345 85 15
+# description: VSFTPD is a Very Secure FTP Daemon
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               msg_network_down vsftpd
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/vsftpd ]; then
+               # Check if we have 'Listen=yes' in config
+               if ! egrep -q '^listen=([Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|1)' /etc/vsftpd.conf; then
+                       echo "error: Missing 'listen=yes' directive in /etc/vsftpd.conf!"
+                       exit 1
+               fi;
+               msg_starting vsftpd
+               daemon --fork /usr/sbin/vsftpd 
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/vsftpd
+       else
+               msg_already_running vsftpd
+       fi
+       ;;
+  stop)
+       # Stop daemons.
+       if [ -f /var/lock/subsys/vsftpd ]; then
+               msg_stopping vsftpd
+               killproc vsftpd
+               rm -f /var/lock/subsys/vsftpd > /dev/null 2>&1
+       else
+               msg_not_running vsftpd
+       fi
+       ;;
+  restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|force-reload}"
+       exit 3
+       ;;
+esac
+
+exit $RETVAL
This page took 0.054648 seconds and 4 git commands to generate.